curl --request GET \
--url https://app.freyavoice.ai/api/v2/simulations \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"simulations": [
{
"id": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"settings": {
"maxConcurrentCalls": 1,
"maxCallDurationSeconds": 60,
"maxRetries": 3,
"runsPerPersona": 1
},
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"metrics": {
"totalRuns": 0,
"passedRuns": 0,
"failedRuns": 0,
"averageLatencyMs": null,
"averageDurationSeconds": null,
"agentSpeakingPercent": null
},
"latestPassRate": 0.5,
"createdBy": "<string>",
"updatedBy": "<string>"
}
],
"total": 1
}
}
}Returns simulations for a workspace.
curl --request GET \
--url https://app.freyavoice.ai/api/v2/simulations \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"message": "<string>",
"result": {
"simulations": [
{
"id": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"settings": {
"maxConcurrentCalls": 1,
"maxCallDurationSeconds": 60,
"maxRetries": 3,
"runsPerPersona": 1
},
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"metrics": {
"totalRuns": 0,
"passedRuns": 0,
"failedRuns": 0,
"averageLatencyMs": null,
"averageDurationSeconds": null,
"agentSpeakingPercent": null
},
"latestPassRate": 0.5,
"createdBy": "<string>",
"updatedBy": "<string>"
}
],
"total": 1
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
draft, running, paused, completed asc, desc x >= 0